(function ($) {
  Drupal.behaviors.paragraphsFilterAndPaginationWidget = {
    attach: function (context, settings) {
      var $alphabeticFilterEl = $('#paragraph-filter-pagination-wrapper', context)
      var $table = $alphabeticFilterEl.find('table ', context)
      var $alphabeticFilterButtonsEl = $alphabeticFilterEl.find('.alphabetic-buttons', context)

      $alphabeticFilterEl.find('.tabledrag-toggle-weight-wrapper').hide()
      $table.find('td.field-multiple-drag a').hide()
      $table.find('tbody tr').each(function () {
        if ($(this).find('td:nth-child(2)').html().length === 0) {
          $(this).hide()
        }
      })

      // Let's replicate the paragraph table heading and place above the
      // alphabetic filter.
      var $fakeHeadingEl = $('<table/>')
      $fakeHeadingEl.append('<thead/>')
      $fakeHeadingEl.find('thead').append($table.find('thead').html())

      $table.find('thead').hide();
      $alphabeticFilterButtonsEl.before($fakeHeadingEl)
    },
  }
}(jQuery))
